<?xml version="1.0" encoding="UTF-8"?>
<definitions name="cwmp"
  targetNamespace="urn:dslforum-org:cwmp-1-2/cwmp.wsdl"
  xmlns:tns="urn:dslforum-org:cwmp-1-2/cwmp.wsdl"
  xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"
  xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/"
  xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
  xmlns:xsd="http://www.w3.org/2001/XMLSchema"
  xmlns:cwmp="urn:dslforum-org:cwmp-1-2"
  xmlns:SOAP="http://schemas.xmlsoap.org/wsdl/soap/"
  xmlns:HTTP="http://schemas.xmlsoap.org/wsdl/http/"
  xmlns:MIME="http://schemas.xmlsoap.org/wsdl/mime/"
  xmlns:DIME="http://schemas.xmlsoap.org/ws/2002/04/dime/wsdl/"
  xmlns:WSDL="http://schemas.xmlsoap.org/wsdl/"
  xmlns="http://schemas.xmlsoap.org/wsdl/">

<types>

  <schema targetNamespace="urn:dslforum-org:cwmp-1-2"
    xmlns:SOAP-ENV="http://schemas.xmlsoap.org/soap/envelope/"
    xmlns:SOAP-ENC="http://schemas.xmlsoap.org/soap/encoding/"
    xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xmlns:xsd="http://www.w3.org/2001/XMLSchema"
    xmlns:cwmp="urn:dslforum-org:cwmp-1-2"
    xmlns="http://www.w3.org/2001/XMLSchema"
    elementFormDefault="unqualified"
    attributeFormDefault="unqualified">
    <import namespace="http://schemas.xmlsoap.org/soap/encoding/"/>
    <simpleType name="DeploymentUnitOperationType"><!-- cwmp__DeploymentUnitOperationType -->
      <restriction base="xsd:string">
      </restriction>
    </simpleType>
    <simpleType name="CPEFaultCodeType"><!-- cwmp__CPEFaultCodeType -->
      <restriction base="xsd:unsignedInt">
        <minInclusive value="9000"/>
        <maxInclusive value="9799"/>
      </restriction>
    </simpleType>
    <simpleType name="CPEExtensionFaultCodeType"><!-- cwmp__CPEExtensionFaultCodeType -->
      <restriction base="xsd:unsignedInt">
        <minInclusive value="9033"/>
        <maxInclusive value="9799"/>
      </restriction>
    </simpleType>
    <simpleType name="CPEVendorFaultCodeType"><!-- cwmp__CPEVendorFaultCodeType -->
      <restriction base="xsd:unsignedInt">
        <minInclusive value="9800"/>
        <maxInclusive value="9899"/>
      </restriction>
    </simpleType>
    <simpleType name="ACSFaultCodeType"><!-- cwmp__ACSFaultCodeType -->
      <restriction base="xsd:unsignedInt">
        <minInclusive value="8000"/>
        <maxInclusive value="8799"/>
      </restriction>
    </simpleType>
    <simpleType name="ACSVendorFaultCodeType"><!-- cwmp__ACSVendorFaultCodeType -->
      <restriction base="xsd:unsignedInt">
        <minInclusive value="8800"/>
        <maxInclusive value="8899"/>
      </restriction>
    </simpleType>
    <simpleType name="TransferFileType"><!-- cwmp__TransferFileType -->
      <restriction base="xsd:string">
        <pattern value="[1-9]\d*( \S+)+|[1-9]\d*( \S+)+ [1-9]\d*|X [0-9A-F]{6} .+|X \S+ .+"/>
        <maxLength value="64"/>
      </restriction>
    </simpleType>
    <simpleType name="DownloadFileType"><!-- cwmp__DownloadFileType -->
      <restriction base="xsd:string">
        <pattern value="[1-9]\d*( \S+)+|X [0-9A-F]{6} .+|X \S+ .+"/>
        <maxLength value="64"/>
      </restriction>
    </simpleType>
    <simpleType name="UploadFileType"><!-- cwmp__UploadFileType -->
      <restriction base="xsd:string">
        <pattern value="[1-9]\d*( \S+)+|[1-9]\d*( \S+)+ [1-9]\d*|X [0-9A-F]{6} .+|X \S+ .+"/>
        <maxLength value="64"/>
      </restriction>
    </simpleType>
    <simpleType name="EventCodeType"><!-- cwmp__EventCodeType -->
      <restriction base="xsd:string">
        <pattern value="\d+( \S+)+|M \S+|M X_\S+|X [0-9A-F]{6} .+|X \S+ .+"/>
        <maxLength value="64"/>
      </restriction>
    </simpleType>
    <simpleType name="TimeWindowModeValueType"><!-- cwmp__TimeWindowModeValueType -->
      <restriction base="xsd:string">
        <pattern value="[1-9]\d*( \S+)+|X [0-9A-F]{6} .+|X \S+ .+"/>
        <maxLength value="64"/>
      </restriction>
    </simpleType>
    <simpleType name="CommandKeyType"><!-- cwmp__CommandKeyType -->
      <restriction base="xsd:string">
        <maxLength value="32"/>
      </restriction>
    </simpleType>
    <simpleType name="ObjectNameType"><!-- cwmp__ObjectNameType -->
      <restriction base="xsd:string">
        <pattern value=".*\."/>
        <maxLength value="256"/>
      </restriction>
    </simpleType>
    <simpleType name="ParameterKeyType"><!-- cwmp__ParameterKeyType -->
      <restriction base="xsd:string">
        <maxLength value="32"/>
      </restriction>
    </simpleType>
    <simpleType name="DeploymentUnitUUID"><!-- cwmp__DeploymentUnitUUID -->
      <restriction base="xsd:string">
        <pattern value="[A-Fa-f0-9]{8}-[A-Fa-f0-9]{4}-[A-Fa-f0-9]{4}-[A-Fa-f0-9]{4}-[A-Fa-f0-9]{12}"/>
      </restriction>
    </simpleType>
    <simpleType name="AccessListValueType"><!-- cwmp__AccessListValueType -->
      <restriction base="xsd:string">
        <!-- = 0 -->
        <enumeration value="Subscriber"/><!-- cwmp__AccessListValueType__Subscriber -->
      </restriction>
    </simpleType>
    <simpleType name="ParameterAttributeNotificationValueType"><!-- cwmp__ParameterAttributeNotificationValueType -->
      <restriction base="xsd:long">
        <!-- = 0 -->
        <enumeration value="0"/><!-- cwmp__ParameterAttributeNotificationValueType__0 -->
        <!-- = 1 -->
        <enumeration value="1"/><!-- cwmp__ParameterAttributeNotificationValueType__1 -->
        <!-- = 2 -->
        <enumeration value="2"/><!-- cwmp__ParameterAttributeNotificationValueType__2 -->
        <!-- = 3 -->
        <enumeration value="3"/><!-- cwmp__ParameterAttributeNotificationValueType__3 -->
        <!-- = 4 -->
        <enumeration value="4"/><!-- cwmp__ParameterAttributeNotificationValueType__4 -->
        <!-- = 5 -->
        <enumeration value="5"/><!-- cwmp__ParameterAttributeNotificationValueType__5 -->
        <!-- = 6 -->
        <enumeration value="6"/><!-- cwmp__ParameterAttributeNotificationValueType__6 -->
      </restriction>
    </simpleType>
    <simpleType name="TransferStateType"><!-- cwmp__TransferStateType -->
      <restriction base="xsd:long">
        <!-- = 1 -->
        <enumeration value="1"/><!-- cwmp__TransferStateType__1 -->
        <!-- = 2 -->
        <enumeration value="2"/><!-- cwmp__TransferStateType__2 -->
        <!-- = 3 -->
        <enumeration value="3"/><!-- cwmp__TransferStateType__3 -->
      </restriction>
    </simpleType>
    <simpleType name="DeploymentUnitState"><!-- cwmp__DeploymentUnitState -->
      <restriction base="xsd:string">
        <!-- = 0 -->
        <enumeration value="Installed"/><!-- cwmp__DeploymentUnitState__Installed -->
        <!-- = 1 -->
        <enumeration value="Uninstalled"/><!-- cwmp__DeploymentUnitState__Uninstalled -->
        <!-- = 2 -->
        <enumeration value="Failed"/><!-- cwmp__DeploymentUnitState__Failed -->
      </restriction>
    </simpleType>
    <simpleType name="DefaultDeploymentUnitOperationType"><!-- cwmp__DefaultDeploymentUnitOperationType -->
      <restriction base="xsd:string">
        <!-- = 0 -->
        <enumeration value="Install"/><!-- cwmp__DefaultDeploymentUnitOperationType__Install -->
        <!-- = 1 -->
        <enumeration value="Update"/><!-- cwmp__DefaultDeploymentUnitOperationType__Update -->
        <!-- = 2 -->
        <enumeration value="Uninstall"/><!-- cwmp__DefaultDeploymentUnitOperationType__Uninstall -->
      </restriction>
    </simpleType>
    <simpleType name="TransferCompleteCPEFaultCodeType"><!-- cwmp__TransferCompleteCPEFaultCodeType -->
      <restriction base="xsd:long">
        <!-- = 9001 -->
        <enumeration value="9001"/><!-- cwmp__TransferCompleteCPEFaultCodeType__9001 -->
        <!-- = 9002 -->
        <enumeration value="9002"/><!-- cwmp__TransferCompleteCPEFaultCodeType__9002 -->
        <!-- = 9010 -->
        <enumeration value="9010"/><!-- cwmp__TransferCompleteCPEFaultCodeType__9010 -->
        <!-- = 9011 -->
        <enumeration value="9011"/><!-- cwmp__TransferCompleteCPEFaultCodeType__9011 -->
        <!-- = 9012 -->
        <enumeration value="9012"/><!-- cwmp__TransferCompleteCPEFaultCodeType__9012 -->
        <!-- = 9014 -->
        <enumeration value="9014"/><!-- cwmp__TransferCompleteCPEFaultCodeType__9014 -->
        <!-- = 9015 -->
        <enumeration value="9015"/><!-- cwmp__TransferCompleteCPEFaultCodeType__9015 -->
        <!-- = 9016 -->
        <enumeration value="9016"/><!-- cwmp__TransferCompleteCPEFaultCodeType__9016 -->
        <!-- = 9017 -->
        <enumeration value="9017"/><!-- cwmp__TransferCompleteCPEFaultCodeType__9017 -->
        <!-- = 9018 -->
        <enumeration value="9018"/><!-- cwmp__TransferCompleteCPEFaultCodeType__9018 -->
        <!-- = 9019 -->
        <enumeration value="9019"/><!-- cwmp__TransferCompleteCPEFaultCodeType__9019 -->
        <!-- = 9020 -->
        <enumeration value="9020"/><!-- cwmp__TransferCompleteCPEFaultCodeType__9020 -->
      </restriction>
    </simpleType>
    <simpleType name="DeploymentUnitCPEFaultCodeType"><!-- cwmp__DeploymentUnitCPEFaultCodeType -->
      <restriction base="xsd:long">
        <!-- = 9001 -->
        <enumeration value="9001"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9001 -->
        <!-- = 9003 -->
        <enumeration value="9003"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9003 -->
        <!-- = 9012 -->
        <enumeration value="9012"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9012 -->
        <!-- = 9013 -->
        <enumeration value="9013"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9013 -->
        <!-- = 9015 -->
        <enumeration value="9015"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9015 -->
        <!-- = 9016 -->
        <enumeration value="9016"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9016 -->
        <!-- = 9017 -->
        <enumeration value="9017"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9017 -->
        <!-- = 9018 -->
        <enumeration value="9018"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9018 -->
        <!-- = 9022 -->
        <enumeration value="9022"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9022 -->
        <!-- = 9023 -->
        <enumeration value="9023"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9023 -->
        <!-- = 9024 -->
        <enumeration value="9024"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9024 -->
        <!-- = 9025 -->
        <enumeration value="9025"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9025 -->
        <!-- = 9026 -->
        <enumeration value="9026"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9026 -->
        <!-- = 9027 -->
        <enumeration value="9027"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9027 -->
        <!-- = 9028 -->
        <enumeration value="9028"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9028 -->
        <!-- = 9029 -->
        <enumeration value="9029"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9029 -->
        <!-- = 9030 -->
        <enumeration value="9030"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9030 -->
        <!-- = 9031 -->
        <enumeration value="9031"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9031 -->
        <!-- = 9032 -->
        <enumeration value="9032"/><!-- cwmp__DeploymentUnitCPEFaultCodeType__9032 -->
      </restriction>
    </simpleType>
    <simpleType name="OptionStruct-State"><!-- _cwmp__OptionStruct_State -->
      <restriction base="xsd:long">
        <!-- = 0 -->
        <enumeration value="0"/><!-- _cwmp__OptionStruct_State__0 -->
        <!-- = 1 -->
        <enumeration value="1"/><!-- _cwmp__OptionStruct_State__1 -->
        <!-- = 2 -->
        <enumeration value="2"/><!-- _cwmp__OptionStruct_State__2 -->
        <!-- = 3 -->
        <enumeration value="3"/><!-- _cwmp__OptionStruct_State__3 -->
      </restriction>
    </simpleType>
    <simpleType name="OptionStruct-Mode"><!-- _cwmp__OptionStruct_Mode -->
      <restriction base="xsd:long">
        <!-- = 0 -->
        <enumeration value="0"/><!-- _cwmp__OptionStruct_Mode__0 -->
        <!-- = 1 -->
        <enumeration value="1"/><!-- _cwmp__OptionStruct_Mode__1 -->
        <!-- = 2 -->
        <enumeration value="2"/><!-- _cwmp__OptionStruct_Mode__2 -->
      </restriction>
    </simpleType>
    <simpleType name="OptionStruct-IsTransferable"><!-- _cwmp__OptionStruct_IsTransferable -->
      <restriction base="xsd:long">
        <!-- = 0 -->
        <enumeration value="0"/><!-- _cwmp__OptionStruct_IsTransferable__0 -->
        <!-- = 1 -->
        <enumeration value="1"/><!-- _cwmp__OptionStruct_IsTransferable__1 -->
      </restriction>
    </simpleType>
    <simpleType name="SetParameterValuesResponse-Status"><!-- _cwmp__SetParameterValuesResponse_Status -->
      <restriction base="xsd:long">
        <!-- = 0 -->
        <enumeration value="0"/><!-- _cwmp__SetParameterValuesResponse_Status__0 -->
        <!-- = 1 -->
        <enumeration value="1"/><!-- _cwmp__SetParameterValuesResponse_Status__1 -->
      </restriction>
    </simpleType>
    <simpleType name="AddObjectResponse-Status"><!-- _cwmp__AddObjectResponse_Status -->
      <restriction base="xsd:long">
        <!-- = 0 -->
        <enumeration value="0"/><!-- _cwmp__AddObjectResponse_Status__0 -->
        <!-- = 1 -->
        <enumeration value="1"/><!-- _cwmp__AddObjectResponse_Status__1 -->
      </restriction>
    </simpleType>
    <simpleType name="DeleteObjectResponse-Status"><!-- _cwmp__DeleteObjectResponse_Status -->
      <restriction base="xsd:long">
        <!-- = 0 -->
        <enumeration value="0"/><!-- _cwmp__DeleteObjectResponse_Status__0 -->
        <!-- = 1 -->
        <enumeration value="1"/><!-- _cwmp__DeleteObjectResponse_Status__1 -->
      </restriction>
    </simpleType>
    <simpleType name="DownloadResponse-Status"><!-- _cwmp__DownloadResponse_Status -->
      <restriction base="xsd:long">
        <!-- = 0 -->
        <enumeration value="0"/><!-- _cwmp__DownloadResponse_Status__0 -->
        <!-- = 1 -->
        <enumeration value="1"/><!-- _cwmp__DownloadResponse_Status__1 -->
      </restriction>
    </simpleType>
    <simpleType name="UploadResponse-Status"><!-- _cwmp__UploadResponse_Status -->
      <restriction base="xsd:long">
        <!-- = 0 -->
        <enumeration value="0"/><!-- _cwmp__UploadResponse_Status__0 -->
        <!-- = 1 -->
        <enumeration value="1"/><!-- _cwmp__UploadResponse_Status__1 -->
      </restriction>
    </simpleType>
    <complexType name="TransferCompleteFaultStruct"><!-- cwmp__TransferCompleteFaultStruct -->
          <sequence>
            <element name="FaultCode" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__TransferCompleteFaultStruct::FaultCode -->
            <element name="FaultString" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__TransferCompleteFaultStruct::FaultString -->
          </sequence>
    </complexType>
    <complexType name="DeploymentUnitFaultStruct"><!-- cwmp__DeploymentUnitFaultStruct -->
          <sequence>
            <element name="FaultCode" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__DeploymentUnitFaultStruct::FaultCode -->
            <element name="FaultString" type="xsd:string" minOccurs="0" maxOccurs="1"/><!-- cwmp__DeploymentUnitFaultStruct::FaultString -->
          </sequence>
    </complexType>
    <complexType name="ParameterValueStruct"><!-- cwmp__ParameterValueStruct -->
          <sequence>
            <element name="Name" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__ParameterValueStruct::Name -->
            <element name="Value" type="xsd:anySimpleType" minOccurs="1" maxOccurs="1"/><!-- cwmp__ParameterValueStruct::Value -->
          </sequence>
    </complexType>
    <complexType name="DeviceIdStruct"><!-- cwmp__DeviceIdStruct -->
          <sequence>
            <element name="Manufacturer" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__DeviceIdStruct::Manufacturer -->
            <element name="OUI" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__DeviceIdStruct::OUI -->
            <element name="ProductClass" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__DeviceIdStruct::ProductClass -->
            <element name="SerialNumber" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__DeviceIdStruct::SerialNumber -->
          </sequence>
    </complexType>
    <complexType name="EventStruct"><!-- cwmp__EventStruct -->
          <sequence>
            <element name="EventCode" type="cwmp:EventCodeType" minOccurs="1" maxOccurs="1"/><!-- cwmp__EventStruct::EventCode -->
            <element name="CommandKey" type="cwmp:CommandKeyType" minOccurs="1" maxOccurs="1"/><!-- cwmp__EventStruct::CommandKey -->
          </sequence>
    </complexType>
    <complexType name="ParameterInfoStruct"><!-- cwmp__ParameterInfoStruct -->
          <sequence>
            <element name="Name" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__ParameterInfoStruct::Name -->
            <element name="Writable" type="xsd:boolean" minOccurs="1" maxOccurs="1"/><!-- cwmp__ParameterInfoStruct::Writable -->
          </sequence>
    </complexType>
    <complexType name="SetParameterAttributesStruct"><!-- cwmp__SetParameterAttributesStruct -->
          <sequence>
            <element name="Name" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__SetParameterAttributesStruct::Name -->
            <element name="NotificationChange" type="xsd:boolean" minOccurs="1" maxOccurs="1"/><!-- cwmp__SetParameterAttributesStruct::NotificationChange -->
            <element name="Notification" type="cwmp:ParameterAttributeNotificationValueType" minOccurs="1" maxOccurs="1"/><!-- cwmp__SetParameterAttributesStruct::Notification -->
            <element name="AccessListChange" type="xsd:boolean" minOccurs="1" maxOccurs="1"/><!-- cwmp__SetParameterAttributesStruct::AccessListChange -->
            <element name="AccessList" type="cwmp:ArrayOfAccessListValueType" minOccurs="1" maxOccurs="1"/><!-- cwmp__SetParameterAttributesStruct::AccessList -->
          </sequence>
    </complexType>
    <complexType name="ParameterAttributeStruct"><!-- cwmp__ParameterAttributeStruct -->
          <sequence>
            <element name="Name" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__ParameterAttributeStruct::Name -->
            <element name="Notification" type="cwmp:ParameterAttributeNotificationValueType" minOccurs="1" maxOccurs="1"/><!-- cwmp__ParameterAttributeStruct::Notification -->
            <element name="AccessList" type="cwmp:ArrayOfAccessListValueType" minOccurs="1" maxOccurs="1"/><!-- cwmp__ParameterAttributeStruct::AccessList -->
          </sequence>
    </complexType>
    <complexType name="TimeWindowStruct"><!-- cwmp__TimeWindowStruct -->
          <sequence>
            <element name="WindowStart" type="xsd:unsignedInt" minOccurs="1" maxOccurs="1"/><!-- cwmp__TimeWindowStruct::WindowStart -->
            <element name="WindowEnd" type="xsd:unsignedInt" minOccurs="1" maxOccurs="1"/><!-- cwmp__TimeWindowStruct::WindowEnd -->
            <element name="WindowMode" type="cwmp:TimeWindowModeValueType" minOccurs="1" maxOccurs="1"/><!-- cwmp__TimeWindowStruct::WindowMode -->
            <element name="UserMessage" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__TimeWindowStruct::UserMessage -->
            <element name="MaxRetries" type="xsd:int" minOccurs="1" maxOccurs="1"/><!-- cwmp__TimeWindowStruct::MaxRetries -->
          </sequence>
    </complexType>
    <complexType name="QueuedTransferStruct"><!-- cwmp__QueuedTransferStruct -->
          <sequence>
            <element name="CommandKey" type="cwmp:CommandKeyType" minOccurs="1" maxOccurs="1"/><!-- cwmp__QueuedTransferStruct::CommandKey -->
            <element name="State" type="cwmp:TransferStateType" minOccurs="1" maxOccurs="1"/><!-- cwmp__QueuedTransferStruct::State -->
          </sequence>
    </complexType>
    <complexType name="AllQueuedTransferStruct"><!-- cwmp__AllQueuedTransferStruct -->
          <sequence>
            <element name="CommandKey" type="cwmp:CommandKeyType" minOccurs="1" maxOccurs="1"/><!-- cwmp__AllQueuedTransferStruct::CommandKey -->
            <element name="State" type="cwmp:TransferStateType" minOccurs="1" maxOccurs="1"/><!-- cwmp__AllQueuedTransferStruct::State -->
            <element name="IsDownload" type="xsd:boolean" minOccurs="1" maxOccurs="1"/><!-- cwmp__AllQueuedTransferStruct::IsDownload -->
            <element name="FileType" type="cwmp:TransferFileType" minOccurs="1" maxOccurs="1"/><!-- cwmp__AllQueuedTransferStruct::FileType -->
            <element name="FileSize" type="xsd:unsignedInt" minOccurs="1" maxOccurs="1"/><!-- cwmp__AllQueuedTransferStruct::FileSize -->
            <element name="TargetFileName" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__AllQueuedTransferStruct::TargetFileName -->
          </sequence>
    </complexType>
    <complexType name="OperationStruct"><!-- cwmp__OperationStruct -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="OpResultStruct"><!-- cwmp__OpResultStruct -->
          <sequence>
            <element name="UUID" type="cwmp:DeploymentUnitUUID" minOccurs="1" maxOccurs="1"/><!-- cwmp__OpResultStruct::UUID -->
            <element name="DeploymentUnitRef" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__OpResultStruct::DeploymentUnitRef -->
            <element name="Version" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__OpResultStruct::Version -->
            <element name="CurrentState" type="cwmp:DeploymentUnitState" minOccurs="1" maxOccurs="1"/><!-- cwmp__OpResultStruct::CurrentState -->
            <element name="Resolved" type="xsd:boolean" minOccurs="1" maxOccurs="1"/><!-- cwmp__OpResultStruct::Resolved -->
            <element name="ExecutionUnitRefList" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__OpResultStruct::ExecutionUnitRefList -->
            <element name="StartTime" type="xsd:dateTime" minOccurs="1" maxOccurs="1"/><!-- cwmp__OpResultStruct::StartTime -->
            <element name="CompleteTime" type="xsd:dateTime" minOccurs="1" maxOccurs="1"/><!-- cwmp__OpResultStruct::CompleteTime -->
            <element name="Fault" type="cwmp:DeploymentUnitFaultStruct" minOccurs="1" maxOccurs="1"/><!-- cwmp__OpResultStruct::Fault -->
          </sequence>
    </complexType>
    <complexType name="OptionStruct"><!-- cwmp__OptionStruct -->
          <sequence>
            <element name="OptionName" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__OptionStruct::OptionName -->
            <element name="VoucherSN" type="xsd:unsignedInt" minOccurs="1" maxOccurs="1"/><!-- cwmp__OptionStruct::VoucherSN -->
            <element name="State" type="cwmp:OptionStruct-State" minOccurs="1" maxOccurs="1"/><!-- cwmp__OptionStruct::State -->
            <element name="Mode" type="cwmp:OptionStruct-Mode" minOccurs="1" maxOccurs="1"/><!-- cwmp__OptionStruct::Mode -->
            <element name="StartDate" type="xsd:dateTime" minOccurs="1" maxOccurs="1"/><!-- cwmp__OptionStruct::StartDate -->
            <element name="ExpirationDate" type="xsd:dateTime" minOccurs="0" maxOccurs="1"/><!-- cwmp__OptionStruct::ExpirationDate -->
            <element name="IsTransferable" type="cwmp:OptionStruct-IsTransferable" minOccurs="1" maxOccurs="1"/><!-- cwmp__OptionStruct::IsTransferable -->
          </sequence>
    </complexType>
    <complexType name="ArgStruct"><!-- cwmp__ArgStruct -->
          <sequence>
            <element name="Name" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__ArgStruct::Name -->
            <element name="Value" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__ArgStruct::Value -->
          </sequence>
    </complexType>
    <complexType name="Fault-SetParameterValuesFault"><!-- _cwmp__Fault_SetParameterValuesFault -->
          <sequence>
            <element name="ParameterName" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Fault_SetParameterValuesFault::ParameterName -->
            <element name="FaultCode" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Fault_SetParameterValuesFault::FaultCode -->
            <element name="FaultString" type="xsd:string" minOccurs="0" maxOccurs="1"/><!-- _cwmp__Fault_SetParameterValuesFault::FaultString -->
          </sequence>
    </complexType>
    <!-- fault element and type -->
    <element name="Fault" type="cwmp:Fault">
<!-- _cwmp__Fault -->
    </element>
    <complexType name="Fault"><!-- _cwmp__Fault -->
          <sequence>
            <element name="FaultCode" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Fault::FaultCode -->
            <element name="FaultString" type="xsd:string" minOccurs="0" maxOccurs="1"/><!-- _cwmp__Fault::FaultString -->
            <element name="SetParameterValuesFault" type="cwmp:Fault-SetParameterValuesFault" minOccurs="0" maxOccurs="unbounded"/><!-- _cwmp__Fault::__sizeSetParameterValuesFault -->
          </sequence>
    </complexType>
    <complexType name="GetRPCMethods"><!-- _cwmp__GetRPCMethods -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="GetRPCMethodsResponse"><!-- _cwmp__GetRPCMethodsResponse -->
          <sequence>
            <element name="MethodList" type="cwmp:ArrayOfstring" minOccurs="1" maxOccurs="1"/><!-- _cwmp__GetRPCMethodsResponse::MethodList -->
          </sequence>
    </complexType>
    <complexType name="SetParameterValues"><!-- _cwmp__SetParameterValues -->
          <sequence>
            <element name="ParameterList" type="cwmp:ArrayOfParameterValueStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__SetParameterValues::ParameterList -->
            <element name="ParameterKey" type="cwmp:ParameterKeyType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__SetParameterValues::ParameterKey -->
          </sequence>
    </complexType>
    <complexType name="SetParameterValuesResponse"><!-- _cwmp__SetParameterValuesResponse -->
          <sequence>
            <element name="Status" type="cwmp:SetParameterValuesResponse-Status" minOccurs="1" maxOccurs="1"/><!-- _cwmp__SetParameterValuesResponse::Status -->
          </sequence>
    </complexType>
    <complexType name="GetParameterValues"><!-- _cwmp__GetParameterValues -->
          <sequence>
            <element name="ParameterNames" type="cwmp:ArrayOfstring" minOccurs="1" maxOccurs="1"/><!-- _cwmp__GetParameterValues::ParameterNames -->
          </sequence>
    </complexType>
    <complexType name="GetParameterValuesResponse"><!-- _cwmp__GetParameterValuesResponse -->
          <sequence>
            <element name="ParameterList" type="cwmp:ArrayOfParameterValueStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__GetParameterValuesResponse::ParameterList -->
          </sequence>
    </complexType>
    <complexType name="GetParameterNames"><!-- _cwmp__GetParameterNames -->
          <sequence>
            <element name="ParameterPath" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__GetParameterNames::ParameterPath -->
            <element name="NextLevel" type="xsd:boolean" minOccurs="1" maxOccurs="1"/><!-- _cwmp__GetParameterNames::NextLevel -->
          </sequence>
    </complexType>
    <complexType name="GetParameterNamesResponse"><!-- _cwmp__GetParameterNamesResponse -->
          <sequence>
            <element name="ParameterList" type="cwmp:ArrayOfParameterInfoStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__GetParameterNamesResponse::ParameterList -->
          </sequence>
    </complexType>
    <complexType name="SetParameterAttributes"><!-- _cwmp__SetParameterAttributes -->
          <sequence>
            <element name="ParameterList" type="cwmp:ArrayOfSetParameterAttributesStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__SetParameterAttributes::ParameterList -->
          </sequence>
    </complexType>
    <complexType name="SetParameterAttributesResponse"><!-- _cwmp__SetParameterAttributesResponse -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="GetParameterAttributes"><!-- _cwmp__GetParameterAttributes -->
          <sequence>
            <element name="ParameterNames" type="cwmp:ArrayOfstring" minOccurs="1" maxOccurs="1"/><!-- _cwmp__GetParameterAttributes::ParameterNames -->
          </sequence>
    </complexType>
    <complexType name="GetParameterAttributesResponse"><!-- _cwmp__GetParameterAttributesResponse -->
          <sequence>
            <element name="ParameterList" type="cwmp:ArrayOfParameterAttributeStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__GetParameterAttributesResponse::ParameterList -->
          </sequence>
    </complexType>
    <complexType name="AddObject"><!-- _cwmp__AddObject -->
          <sequence>
            <element name="ObjectName" type="cwmp:ObjectNameType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__AddObject::ObjectName -->
            <element name="ParameterKey" type="cwmp:ParameterKeyType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__AddObject::ParameterKey -->
          </sequence>
    </complexType>
    <complexType name="AddObjectResponse"><!-- _cwmp__AddObjectResponse -->
          <sequence>
            <element name="InstanceNumber" type="xsd:unsignedInt" minOccurs="1" maxOccurs="1"/><!-- _cwmp__AddObjectResponse::InstanceNumber -->
            <element name="Status" type="cwmp:AddObjectResponse-Status" minOccurs="1" maxOccurs="1"/><!-- _cwmp__AddObjectResponse::Status -->
          </sequence>
    </complexType>
    <complexType name="DeleteObject"><!-- _cwmp__DeleteObject -->
          <sequence>
            <element name="ObjectName" type="cwmp:ObjectNameType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__DeleteObject::ObjectName -->
            <element name="ParameterKey" type="cwmp:ParameterKeyType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__DeleteObject::ParameterKey -->
          </sequence>
    </complexType>
    <complexType name="DeleteObjectResponse"><!-- _cwmp__DeleteObjectResponse -->
          <sequence>
            <element name="Status" type="cwmp:DeleteObjectResponse-Status" minOccurs="1" maxOccurs="1"/><!-- _cwmp__DeleteObjectResponse::Status -->
          </sequence>
    </complexType>
    <complexType name="Download"><!-- _cwmp__Download -->
          <sequence>
            <element name="CommandKey" type="cwmp:CommandKeyType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Download::CommandKey -->
            <element name="FileType" type="cwmp:DownloadFileType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Download::FileType -->
            <element name="URL" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Download::URL -->
            <element name="Username" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Download::Username -->
            <element name="Password" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Download::Password -->
            <element name="FileSize" type="xsd:unsignedInt" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Download::FileSize -->
            <element name="TargetFileName" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Download::TargetFileName -->
            <element name="DelaySeconds" type="xsd:unsignedInt" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Download::DelaySeconds -->
            <element name="SuccessURL" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Download::SuccessURL -->
            <element name="FailureURL" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Download::FailureURL -->
          </sequence>
    </complexType>
    <complexType name="DownloadResponse"><!-- _cwmp__DownloadResponse -->
          <sequence>
            <element name="Status" type="cwmp:DownloadResponse-Status" minOccurs="1" maxOccurs="1"/><!-- _cwmp__DownloadResponse::Status -->
            <element name="StartTime" type="xsd:dateTime" minOccurs="1" maxOccurs="1"/><!-- _cwmp__DownloadResponse::StartTime -->
            <element name="CompleteTime" type="xsd:dateTime" minOccurs="1" maxOccurs="1"/><!-- _cwmp__DownloadResponse::CompleteTime -->
          </sequence>
    </complexType>
    <complexType name="Reboot"><!-- _cwmp__Reboot -->
          <sequence>
            <element name="CommandKey" type="cwmp:CommandKeyType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Reboot::CommandKey -->
          </sequence>
    </complexType>
    <complexType name="RebootResponse"><!-- _cwmp__RebootResponse -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="GetQueuedTransfers"><!-- _cwmp__GetQueuedTransfers -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="GetQueuedTransfersResponse"><!-- _cwmp__GetQueuedTransfersResponse -->
          <sequence>
            <element name="TransferList" type="cwmp:ArrayOfQueuedTransferStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__GetQueuedTransfersResponse::TransferList -->
          </sequence>
    </complexType>
    <complexType name="ScheduleInform"><!-- _cwmp__ScheduleInform -->
          <sequence>
            <element name="DelaySeconds" type="xsd:unsignedInt" minOccurs="1" maxOccurs="1"/><!-- _cwmp__ScheduleInform::DelaySeconds -->
            <element name="CommandKey" type="cwmp:CommandKeyType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__ScheduleInform::CommandKey -->
          </sequence>
    </complexType>
    <complexType name="ScheduleInformResponse"><!-- _cwmp__ScheduleInformResponse -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="SetVouchers"><!-- _cwmp__SetVouchers -->
          <sequence>
            <element name="VoucherList" type="cwmp:ArrayOfbase64" minOccurs="1" maxOccurs="1"/><!-- _cwmp__SetVouchers::VoucherList -->
          </sequence>
    </complexType>
    <complexType name="SetVouchersResponse"><!-- _cwmp__SetVouchersResponse -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="GetOptions"><!-- _cwmp__GetOptions -->
          <sequence>
            <element name="OptionName" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__GetOptions::OptionName -->
          </sequence>
    </complexType>
    <complexType name="GetOptionsResponse"><!-- _cwmp__GetOptionsResponse -->
          <sequence>
            <element name="OptionList" type="cwmp:ArrayOfOptionStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__GetOptionsResponse::OptionList -->
          </sequence>
    </complexType>
    <complexType name="Upload"><!-- _cwmp__Upload -->
          <sequence>
            <element name="CommandKey" type="cwmp:CommandKeyType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Upload::CommandKey -->
            <element name="FileType" type="cwmp:UploadFileType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Upload::FileType -->
            <element name="URL" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Upload::URL -->
            <element name="Username" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Upload::Username -->
            <element name="Password" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Upload::Password -->
            <element name="DelaySeconds" type="xsd:unsignedInt" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Upload::DelaySeconds -->
          </sequence>
    </complexType>
    <complexType name="UploadResponse"><!-- _cwmp__UploadResponse -->
          <sequence>
            <element name="Status" type="cwmp:UploadResponse-Status" minOccurs="1" maxOccurs="1"/><!-- _cwmp__UploadResponse::Status -->
            <element name="StartTime" type="xsd:dateTime" minOccurs="1" maxOccurs="1"/><!-- _cwmp__UploadResponse::StartTime -->
            <element name="CompleteTime" type="xsd:dateTime" minOccurs="1" maxOccurs="1"/><!-- _cwmp__UploadResponse::CompleteTime -->
          </sequence>
    </complexType>
    <complexType name="FactoryReset"><!-- _cwmp__FactoryReset -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="FactoryResetResponse"><!-- _cwmp__FactoryResetResponse -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="GetAllQueuedTransfers"><!-- _cwmp__GetAllQueuedTransfers -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="GetAllQueuedTransfersResponse"><!-- _cwmp__GetAllQueuedTransfersResponse -->
          <sequence>
            <element name="TransferList" type="cwmp:ArrayOfAllQueuedTransferStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__GetAllQueuedTransfersResponse::TransferList -->
          </sequence>
    </complexType>
    <complexType name="ScheduleDownload"><!-- _cwmp__ScheduleDownload -->
          <sequence>
            <element name="CommandKey" type="cwmp:CommandKeyType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__ScheduleDownload::CommandKey -->
            <element name="FileType" type="cwmp:DownloadFileType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__ScheduleDownload::FileType -->
            <element name="URL" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__ScheduleDownload::URL -->
            <element name="Username" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__ScheduleDownload::Username -->
            <element name="Password" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__ScheduleDownload::Password -->
            <element name="FileSize" type="xsd:unsignedInt" minOccurs="1" maxOccurs="1"/><!-- _cwmp__ScheduleDownload::FileSize -->
            <element name="TargetFileName" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__ScheduleDownload::TargetFileName -->
            <element name="TimeWindowList" type="cwmp:ArrayOfTimeWindowStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__ScheduleDownload::TimeWindowList -->
          </sequence>
    </complexType>
    <complexType name="ScheduleDownloadResponse"><!-- _cwmp__ScheduleDownloadResponse -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="CancelTransfer"><!-- _cwmp__CancelTransfer -->
          <sequence>
            <element name="CommandKey" type="cwmp:CommandKeyType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__CancelTransfer::CommandKey -->
          </sequence>
    </complexType>
    <complexType name="CancelTransferResponse"><!-- _cwmp__CancelTransferResponse -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="ChangeDUState"><!-- _cwmp__ChangeDUState -->
          <sequence>
            <element name="Operations" type="cwmp:OperationStruct" minOccurs="1" maxOccurs="unbounded"/><!-- _cwmp__ChangeDUState::__sizeOperations -->
            <element name="CommandKey" type="cwmp:CommandKeyType" minOccurs="0" maxOccurs="1"/><!-- _cwmp__ChangeDUState::CommandKey -->
          </sequence>
    </complexType>
    <complexType name="ChangeDUStateResponse"><!-- _cwmp__ChangeDUStateResponse -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="Inform"><!-- _cwmp__Inform -->
          <sequence>
            <element name="DeviceId" type="cwmp:DeviceIdStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Inform::DeviceId -->
            <element name="Event" type="cwmp:ArrayOfEventStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Inform::Event -->
            <element name="MaxEnvelopes" type="xsd:unsignedInt" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Inform::MaxEnvelopes -->
            <element name="CurrentTime" type="xsd:dateTime" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Inform::CurrentTime -->
            <element name="RetryCount" type="xsd:unsignedInt" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Inform::RetryCount -->
            <element name="ParameterList" type="cwmp:ArrayOfParameterValueStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Inform::ParameterList -->
          </sequence>
    </complexType>
    <complexType name="InformResponse"><!-- _cwmp__InformResponse -->
          <sequence>
            <element name="MaxEnvelopes" type="xsd:unsignedInt" minOccurs="1" maxOccurs="1"/><!-- _cwmp__InformResponse::MaxEnvelopes -->
          </sequence>
    </complexType>
    <complexType name="TransferComplete"><!-- _cwmp__TransferComplete -->
          <sequence>
            <element name="CommandKey" type="cwmp:CommandKeyType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__TransferComplete::CommandKey -->
            <element name="FaultStruct" type="cwmp:TransferCompleteFaultStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__TransferComplete::FaultStruct -->
            <element name="StartTime" type="xsd:dateTime" minOccurs="1" maxOccurs="1"/><!-- _cwmp__TransferComplete::StartTime -->
            <element name="CompleteTime" type="xsd:dateTime" minOccurs="1" maxOccurs="1"/><!-- _cwmp__TransferComplete::CompleteTime -->
          </sequence>
    </complexType>
    <complexType name="TransferCompleteResponse"><!-- _cwmp__TransferCompleteResponse -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="AutonomousTransferComplete"><!-- _cwmp__AutonomousTransferComplete -->
          <sequence>
            <element name="AnnounceURL" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__AutonomousTransferComplete::AnnounceURL -->
            <element name="TransferURL" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__AutonomousTransferComplete::TransferURL -->
            <element name="IsDownload" type="xsd:boolean" minOccurs="1" maxOccurs="1"/><!-- _cwmp__AutonomousTransferComplete::IsDownload -->
            <element name="FileType" type="cwmp:TransferFileType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__AutonomousTransferComplete::FileType -->
            <element name="FileSize" type="xsd:unsignedInt" minOccurs="1" maxOccurs="1"/><!-- _cwmp__AutonomousTransferComplete::FileSize -->
            <element name="TargetFileName" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__AutonomousTransferComplete::TargetFileName -->
            <element name="FaultStruct" type="cwmp:TransferCompleteFaultStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__AutonomousTransferComplete::FaultStruct -->
            <element name="StartTime" type="xsd:dateTime" minOccurs="1" maxOccurs="1"/><!-- _cwmp__AutonomousTransferComplete::StartTime -->
            <element name="CompleteTime" type="xsd:dateTime" minOccurs="1" maxOccurs="1"/><!-- _cwmp__AutonomousTransferComplete::CompleteTime -->
          </sequence>
    </complexType>
    <complexType name="AutonomousTransferCompleteResponse"><!-- _cwmp__AutonomousTransferCompleteResponse -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="Kicked"><!-- _cwmp__Kicked -->
          <sequence>
            <element name="Command" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Kicked::Command -->
            <element name="Referer" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Kicked::Referer -->
            <element name="Arg" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Kicked::Arg -->
            <element name="Next" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__Kicked::Next -->
          </sequence>
    </complexType>
    <complexType name="KickedResponse"><!-- _cwmp__KickedResponse -->
          <sequence>
            <element name="NextURL" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- _cwmp__KickedResponse::NextURL -->
          </sequence>
    </complexType>
    <complexType name="RequestDownload"><!-- _cwmp__RequestDownload -->
          <sequence>
            <element name="FileType" type="cwmp:DownloadFileType" minOccurs="1" maxOccurs="1"/><!-- _cwmp__RequestDownload::FileType -->
            <element name="FileTypeArg" type="cwmp:ArrayOfArgStruct" minOccurs="1" maxOccurs="1"/><!-- _cwmp__RequestDownload::FileTypeArg -->
          </sequence>
    </complexType>
    <complexType name="RequestDownloadResponse"><!-- _cwmp__RequestDownloadResponse -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="DUStateChangeComplete"><!-- _cwmp__DUStateChangeComplete -->
          <sequence>
            <element name="Results" type="cwmp:OpResultStruct" minOccurs="1" maxOccurs="unbounded"/><!-- _cwmp__DUStateChangeComplete::__sizeResults -->
            <element name="CommandKey" type="cwmp:CommandKeyType" minOccurs="0" maxOccurs="1"/><!-- _cwmp__DUStateChangeComplete::CommandKey -->
          </sequence>
    </complexType>
    <complexType name="DUStateChangeCompleteResponse"><!-- _cwmp__DUStateChangeCompleteResponse -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="AutonomousDUStateChangeComplete"><!-- _cwmp__AutonomousDUStateChangeComplete -->
          <sequence>
            <element name="Results" type="cwmp:AutonOpResultStruct" minOccurs="1" maxOccurs="unbounded"/><!-- _cwmp__AutonomousDUStateChangeComplete::__sizeResults -->
          </sequence>
    </complexType>
    <complexType name="AutonomousDUStateChangeCompleteResponse"><!-- _cwmp__AutonomousDUStateChangeCompleteResponse -->
          <sequence>
          </sequence>
    </complexType>
    <complexType name="ArrayOfstring">
      <complexContent>
        <restriction base="SOAP-ENC:Array">
          <sequence>
            <element name="string" type="xsd:string" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute ref="SOAP-ENC:arrayType" WSDL:arrayType="xsd:string[]"/>
        </restriction>
      </complexContent>
    </complexType>
    <complexType name="ArrayOfParameterValueStruct">
      <complexContent>
        <restriction base="SOAP-ENC:Array">
          <sequence>
            <element name="ParameterValueStruct" type="cwmp:ParameterValueStruct" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute ref="SOAP-ENC:arrayType" WSDL:arrayType="cwmp:ParameterValueStruct[]"/>
        </restriction>
      </complexContent>
    </complexType>
    <complexType name="ArrayOfstring">
      <complexContent>
        <restriction base="SOAP-ENC:Array">
          <sequence>
            <element name="string" type="xsd:string" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute ref="SOAP-ENC:arrayType" WSDL:arrayType="xsd:string[]"/>
        </restriction>
      </complexContent>
    </complexType>
    <complexType name="ArrayOfEventStruct">
      <complexContent>
        <restriction base="SOAP-ENC:Array">
          <sequence>
            <element name="EventStruct" type="cwmp:EventStruct" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute ref="SOAP-ENC:arrayType" WSDL:arrayType="cwmp:EventStruct[]"/>
        </restriction>
      </complexContent>
    </complexType>
    <complexType name="ArrayOfParameterInfoStruct">
      <complexContent>
        <restriction base="SOAP-ENC:Array">
          <sequence>
            <element name="ParameterInfoStruct" type="cwmp:ParameterInfoStruct" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute ref="SOAP-ENC:arrayType" WSDL:arrayType="cwmp:ParameterInfoStruct[]"/>
        </restriction>
      </complexContent>
    </complexType>
    <complexType name="ArrayOfAccessListValueType">
      <complexContent>
        <restriction base="SOAP-ENC:Array">
          <sequence>
            <element name="string" type="cwmp:AccessListValueType" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute ref="SOAP-ENC:arrayType" WSDL:arrayType="cwmp:AccessListValueType[]"/>
        </restriction>
      </complexContent>
    </complexType>
    <complexType name="ArrayOfSetParameterAttributesStruct">
      <complexContent>
        <restriction base="SOAP-ENC:Array">
          <sequence>
            <element name="SetParameterAttributesStruct" type="cwmp:SetParameterAttributesStruct" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute ref="SOAP-ENC:arrayType" WSDL:arrayType="cwmp:SetParameterAttributesStruct[]"/>
        </restriction>
      </complexContent>
    </complexType>
    <complexType name="ArrayOfParameterAttributeStruct">
      <complexContent>
        <restriction base="SOAP-ENC:Array">
          <sequence>
            <element name="ParameterAttributeStruct" type="cwmp:ParameterAttributeStruct" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute ref="SOAP-ENC:arrayType" WSDL:arrayType="cwmp:ParameterAttributeStruct[]"/>
        </restriction>
      </complexContent>
    </complexType>
    <complexType name="ArrayOfTimeWindowStruct">
      <complexContent>
        <restriction base="SOAP-ENC:Array">
          <sequence>
            <element name="TimeWindowStruct" type="cwmp:TimeWindowStruct" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute ref="SOAP-ENC:arrayType" WSDL:arrayType="cwmp:TimeWindowStruct[]"/>
        </restriction>
      </complexContent>
    </complexType>
    <complexType name="ArrayOfQueuedTransferStruct">
      <complexContent>
        <restriction base="SOAP-ENC:Array">
          <sequence>
            <element name="QueuedTransferStruct" type="cwmp:QueuedTransferStruct" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute ref="SOAP-ENC:arrayType" WSDL:arrayType="cwmp:QueuedTransferStruct[]"/>
        </restriction>
      </complexContent>
    </complexType>
    <complexType name="ArrayOfAllQueuedTransferStruct">
      <complexContent>
        <restriction base="SOAP-ENC:Array">
          <sequence>
            <element name="AllQueuedTransferStruct" type="cwmp:AllQueuedTransferStruct" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute ref="SOAP-ENC:arrayType" WSDL:arrayType="cwmp:AllQueuedTransferStruct[]"/>
        </restriction>
      </complexContent>
    </complexType>
    <complexType name="InstallOpStruct"><!-- cwmp__InstallOpStruct -->
          <sequence>
            <element name="URL" type="xsd:anyURI" minOccurs="1" maxOccurs="1"/><!-- cwmp__InstallOpStruct::URL -->
            <element name="UUID" type="cwmp:DeploymentUnitUUID" minOccurs="0" maxOccurs="1"/><!-- cwmp__InstallOpStruct::UUID -->
            <element name="Username" type="xsd:string" minOccurs="0" maxOccurs="1"/><!-- cwmp__InstallOpStruct::Username -->
            <element name="Password" type="xsd:string" minOccurs="0" maxOccurs="1"/><!-- cwmp__InstallOpStruct::Password -->
            <element name="ExecutionEnvRef" type="xsd:string" minOccurs="0" maxOccurs="1"/><!-- cwmp__InstallOpStruct::ExecutionEnvRef -->
          </sequence>
    </complexType>
    <complexType name="UpdateOpStruct"><!-- cwmp__UpdateOpStruct -->
          <sequence>
            <element name="UUID" type="cwmp:DeploymentUnitUUID" minOccurs="0" maxOccurs="1"/><!-- cwmp__UpdateOpStruct::UUID -->
            <element name="Version" type="xsd:string" minOccurs="0" maxOccurs="1"/><!-- cwmp__UpdateOpStruct::Version -->
            <element name="URL" type="xsd:anyURI" minOccurs="0" maxOccurs="1"/><!-- cwmp__UpdateOpStruct::URL -->
            <element name="Username" type="xsd:string" minOccurs="0" maxOccurs="1"/><!-- cwmp__UpdateOpStruct::Username -->
            <element name="Password" type="xsd:string" minOccurs="0" maxOccurs="1"/><!-- cwmp__UpdateOpStruct::Password -->
          </sequence>
    </complexType>
    <complexType name="UninstallOpStruct"><!-- cwmp__UninstallOpStruct -->
          <sequence>
            <element name="UUID" type="cwmp:DeploymentUnitUUID" minOccurs="1" maxOccurs="1"/><!-- cwmp__UninstallOpStruct::UUID -->
            <element name="Version" type="xsd:string" minOccurs="0" maxOccurs="1"/><!-- cwmp__UninstallOpStruct::Version -->
            <element name="ExecutionEnvRef" type="xsd:string" minOccurs="0" maxOccurs="1"/><!-- cwmp__UninstallOpStruct::ExecutionEnvRef -->
          </sequence>
    </complexType>
    <complexType name="AutonOpResultStruct"><!-- cwmp__AutonOpResultStruct -->
          <sequence>
            <element name="UUID" type="cwmp:DeploymentUnitUUID" minOccurs="1" maxOccurs="1"/><!-- cwmp__AutonOpResultStruct::UUID -->
            <element name="DeploymentUnitRef" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__AutonOpResultStruct::DeploymentUnitRef -->
            <element name="Version" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__AutonOpResultStruct::Version -->
            <element name="CurrentState" type="cwmp:DeploymentUnitState" minOccurs="1" maxOccurs="1"/><!-- cwmp__AutonOpResultStruct::CurrentState -->
            <element name="Resolved" type="xsd:boolean" minOccurs="1" maxOccurs="1"/><!-- cwmp__AutonOpResultStruct::Resolved -->
            <element name="ExecutionUnitRefList" type="xsd:string" minOccurs="1" maxOccurs="1"/><!-- cwmp__AutonOpResultStruct::ExecutionUnitRefList -->
            <element name="StartTime" type="xsd:dateTime" minOccurs="1" maxOccurs="1"/><!-- cwmp__AutonOpResultStruct::StartTime -->
            <element name="CompleteTime" type="xsd:dateTime" minOccurs="1" maxOccurs="1"/><!-- cwmp__AutonOpResultStruct::CompleteTime -->
            <element name="Fault" type="cwmp:DeploymentUnitFaultStruct" minOccurs="1" maxOccurs="1"/><!-- cwmp__AutonOpResultStruct::Fault -->
            <element name="OperationPerformed" type="cwmp:DeploymentUnitOperationType" minOccurs="1" maxOccurs="1"/><!-- cwmp__AutonOpResultStruct::OperationPerformed -->
          </sequence>
    </complexType>
    <complexType name="ArrayOfbase64">
      <complexContent>
        <restriction base="SOAP-ENC:Array">
          <sequence>
            <element name="base64" type="SOAP-ENC:base64" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute ref="SOAP-ENC:arrayType" WSDL:arrayType="SOAP-ENC:base64[]"/>
        </restriction>
      </complexContent>
    </complexType>
    <complexType name="ArrayOfOptionStruct">
      <complexContent>
        <restriction base="SOAP-ENC:Array">
          <sequence>
            <element name="OptionStruct" type="cwmp:OptionStruct" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute ref="SOAP-ENC:arrayType" WSDL:arrayType="cwmp:OptionStruct[]"/>
        </restriction>
      </complexContent>
    </complexType>
    <complexType name="ArrayOfArgStruct">
      <complexContent>
        <restriction base="SOAP-ENC:Array">
          <sequence>
            <element name="ArgStruct" type="cwmp:ArgStruct" minOccurs="0" maxOccurs="unbounded"/>
          </sequence>
          <attribute ref="SOAP-ENC:arrayType" WSDL:arrayType="cwmp:ArgStruct[]"/>
        </restriction>
      </complexContent>
    </complexType>
    <complexType name="SupportedCWMPVersions" mixed="true"><!-- _cwmp__SupportedCWMPVersions -->
      <simpleContent>
        <extension base="xsd:string">
          <attribute ref="SOAP-ENV:mustUnderstand"/>
        </extension>
      </simpleContent>
    </complexType>
    <complexType name="UseCWMPVersion" mixed="true"><!-- _cwmp__UseCWMPVersion -->
      <simpleContent>
        <extension base="xsd:string">
          <attribute ref="SOAP-ENV:mustUnderstand" use="required"/>
        </extension>
      </simpleContent>
    </complexType>
    <complexType name="SessionTimeout"><!-- _cwmp__SessionTimeout -->
      <simpleContent>
        <extension base="xsd:unsignedInt">
          <attribute ref="SOAP-ENV:mustUnderstand" fixed="0"/>
        </extension>
      </simpleContent>
    </complexType>
    <complexType name="ID" mixed="true"><!-- _cwmp__ID -->
      <simpleContent>
        <extension base="xsd:string">
          <attribute ref="SOAP-ENV:mustUnderstand" use="required" fixed="1"/>
        </extension>
      </simpleContent>
    </complexType>
    <complexType name="HoldRequests"><!-- _cwmp__HoldRequests -->
      <simpleContent>
        <extension base="xsd:boolean">
          <attribute ref="SOAP-ENV:mustUnderstand" use="required" fixed="1"/>
        </extension>
      </simpleContent>
    </complexType>
    <!-- operation response element -->
    <element name="GetParameterNamesResponse" type="cwmp:GetParameterNamesResponse"/>
    <!-- operation response element -->
    <element name="GetParameterValuesResponse" type="cwmp:GetParameterValuesResponse"/>
    <!-- operation response element -->
    <element name="SetParameterValuesResponse" type="cwmp:SetParameterValuesResponse"/>
    <!-- operation response element -->
    <element name="GetParameterAttributesResponse" type="cwmp:GetParameterAttributesResponse"/>
    <!-- operation response element -->
    <element name="SetParameterAttributesResponse" type="cwmp:SetParameterAttributesResponse"/>
    <!-- operation response element -->
    <element name="DownloadResponse" type="cwmp:DownloadResponse"/>
    <!-- operation response element -->
    <element name="UploadResponse" type="cwmp:UploadResponse"/>
    <!-- operation response element -->
    <element name="AddObjectResponse" type="cwmp:AddObjectResponse"/>
    <!-- operation response element -->
    <element name="DeleteObjectResponse" type="cwmp:DeleteObjectResponse"/>
    <!-- operation response element -->
    <element name="GetRPCMethodsResponse" type="cwmp:GetRPCMethodsResponse"/>
    <!-- operation response element -->
    <element name="InformResponse" type="cwmp:InformResponse"/>
    <element name="Fault-SetParameterValuesFault" type="cwmp:Fault-SetParameterValuesFault"/>
    <element name="GetRPCMethods" type="cwmp:GetRPCMethods"/>
    <element name="SetParameterValues" type="cwmp:SetParameterValues"/>
    <element name="GetParameterValues" type="cwmp:GetParameterValues"/>
    <element name="GetParameterNames" type="cwmp:GetParameterNames"/>
    <element name="SetParameterAttributes" type="cwmp:SetParameterAttributes"/>
    <element name="GetParameterAttributes" type="cwmp:GetParameterAttributes"/>
    <element name="AddObject" type="cwmp:AddObject"/>
    <element name="DeleteObject" type="cwmp:DeleteObject"/>
    <element name="Download" type="cwmp:Download"/>
    <element name="Reboot" type="cwmp:Reboot"/>
    <element name="RebootResponse" type="cwmp:RebootResponse"/>
    <element name="GetQueuedTransfers" type="cwmp:GetQueuedTransfers"/>
    <element name="GetQueuedTransfersResponse" type="cwmp:GetQueuedTransfersResponse"/>
    <element name="ScheduleInform" type="cwmp:ScheduleInform"/>
    <element name="ScheduleInformResponse" type="cwmp:ScheduleInformResponse"/>
    <element name="SetVouchers" type="cwmp:SetVouchers"/>
    <element name="SetVouchersResponse" type="cwmp:SetVouchersResponse"/>
    <element name="GetOptions" type="cwmp:GetOptions"/>
    <element name="GetOptionsResponse" type="cwmp:GetOptionsResponse"/>
    <element name="Upload" type="cwmp:Upload"/>
    <element name="FactoryReset" type="cwmp:FactoryReset"/>
    <element name="FactoryResetResponse" type="cwmp:FactoryResetResponse"/>
    <element name="GetAllQueuedTransfers" type="cwmp:GetAllQueuedTransfers"/>
    <element name="GetAllQueuedTransfersResponse" type="cwmp:GetAllQueuedTransfersResponse"/>
    <element name="ScheduleDownload" type="cwmp:ScheduleDownload"/>
    <element name="ScheduleDownloadResponse" type="cwmp:ScheduleDownloadResponse"/>
    <element name="CancelTransfer" type="cwmp:CancelTransfer"/>
    <element name="CancelTransferResponse" type="cwmp:CancelTransferResponse"/>
    <element name="ChangeDUState" type="cwmp:ChangeDUState"/>
    <element name="ChangeDUStateResponse" type="cwmp:ChangeDUStateResponse"/>
    <element name="Inform" type="cwmp:Inform"/>
    <element name="TransferComplete" type="cwmp:TransferComplete"/>
    <element name="TransferCompleteResponse" type="cwmp:TransferCompleteResponse"/>
    <element name="AutonomousTransferComplete" type="cwmp:AutonomousTransferComplete"/>
    <element name="AutonomousTransferCompleteResponse" type="cwmp:AutonomousTransferCompleteResponse"/>
    <element name="Kicked" type="cwmp:Kicked"/>
    <element name="KickedResponse" type="cwmp:KickedResponse"/>
    <element name="RequestDownload" type="cwmp:RequestDownload"/>
    <element name="RequestDownloadResponse" type="cwmp:RequestDownloadResponse"/>
    <element name="DUStateChangeComplete" type="cwmp:DUStateChangeComplete"/>
    <element name="DUStateChangeCompleteResponse" type="cwmp:DUStateChangeCompleteResponse"/>
    <element name="AutonomousDUStateChangeComplete" type="cwmp:AutonomousDUStateChangeComplete"/>
    <element name="AutonomousDUStateChangeCompleteResponse" type="cwmp:AutonomousDUStateChangeCompleteResponse"/>
    <element name="SupportedCWMPVersions" type="cwmp:SupportedCWMPVersions"/>
    <element name="UseCWMPVersion" type="cwmp:UseCWMPVersion"/>
    <element name="SessionTimeout" type="cwmp:SessionTimeout"/>
    <element name="ID" type="cwmp:ID"/>
    <element name="HoldRequests" type="cwmp:HoldRequests"/>
  </schema>

</types>

<message name="GetParameterNames">
  <part name="GetParameterNames" type="cwmp:GetParameterNames"/><!-- __cwmp__GetParameterNames::cwmp__GetParameterNames -->
</message>

<message name="GetParameterNamesResponse">
  <part name="ParameterList" type="cwmp:ArrayOfParameterInfoStruct"/><!-- __cwmp__GetParameterNames::ParameterList -->
</message>

<message name="GetParameterValues">
  <part name="GetParameterValues" type="cwmp:GetParameterValues"/><!-- __cwmp__GetParameterValues::cwmp__GetParameterValues -->
</message>

<message name="GetParameterValuesResponse">
  <part name="ParameterList" type="cwmp:ArrayOfParameterValueStruct"/><!-- __cwmp__GetParameterValues::ParameterList -->
</message>

<message name="GetParameterValuesResponse">
  <part name="GetParameterValuesResponse" type="cwmp:GetParameterValuesResponse"/><!-- __cwmp__GetParameterValuesResponse::cwmp__GetParameterValuesResponse -->
</message>

<message name="SetParameterValues">
  <part name="SetParameterValues" type="cwmp:SetParameterValues"/><!-- __cwmp__SetParameterValues::cwmp__SetParameterValues -->
</message>

<message name="SetParameterValuesResponse">
  <part name="Status" type="cwmp:SetParameterValuesResponse-Status"/><!-- __cwmp__SetParameterValues::Status -->
</message>

<message name="GetParameterAttributes">
  <part name="GetParameterAttributes" type="cwmp:GetParameterAttributes"/><!-- __cwmp__GetParameterAttributes::cwmp__GetParameterAttributes -->
</message>

<message name="GetParameterAttributesResponse">
  <part name="ParameterList" type="cwmp:ArrayOfParameterAttributeStruct"/><!-- __cwmp__GetParameterAttributes::ParameterList -->
</message>

<message name="SetParameterAttributes">
  <part name="SetParameterAttributes" type="cwmp:SetParameterAttributes"/><!-- __cwmp__SetParameterAttributes::cwmp__SetParameterAttributes -->
</message>

<message name="SetParameterAttributesResponse">
</message>

<message name="Download">
  <part name="Download" type="cwmp:Download"/><!-- __cwmp__Download::cwmp__Download -->
</message>

<message name="DownloadResponse">
  <part name="Status" type="cwmp:DownloadResponse-Status"/><!-- __cwmp__Download::Status -->
  <part name="StartTime" type="xsd:dateTime"/><!-- __cwmp__Download::StartTime -->
  <part name="CompleteTime" type="xsd:dateTime"/><!-- __cwmp__Download::CompleteTime -->
</message>

<message name="Upload">
  <part name="Upload" type="cwmp:Upload"/><!-- __cwmp__Upload::cwmp__Upload -->
</message>

<message name="UploadResponse">
  <part name="Status" type="cwmp:UploadResponse-Status"/><!-- __cwmp__Upload::Status -->
  <part name="StartTime" type="xsd:dateTime"/><!-- __cwmp__Upload::StartTime -->
  <part name="CompleteTime" type="xsd:dateTime"/><!-- __cwmp__Upload::CompleteTime -->
</message>

<message name="AddObject">
  <part name="AddObject" type="cwmp:AddObject"/><!-- __cwmp__AddObject::cwmp__AddObject -->
</message>

<message name="AddObjectResponse">
  <part name="InstanceNumber" type="xsd:unsignedInt"/><!-- __cwmp__AddObject::InstanceNumber -->
  <part name="Status" type="cwmp:AddObjectResponse-Status"/><!-- __cwmp__AddObject::Status -->
</message>

<message name="DeleteObject">
  <part name="DeleteObject" type="cwmp:DeleteObject"/><!-- __cwmp__DeleteObject::cwmp__DeleteObject -->
</message>

<message name="DeleteObjectResponse">
  <part name="Status" type="cwmp:DeleteObjectResponse-Status"/><!-- __cwmp__DeleteObject::Status -->
</message>

<message name="GetRPCMethods">
  <part name="GetRPCMethods" type="cwmp:GetRPCMethods"/><!-- __cwmp__GetRPCMethods::cwmp__GetRPCMethods -->
</message>

<message name="GetRPCMethodsResponse">
  <part name="MethodList" type="cwmp:ArrayOfstring"/><!-- __cwmp__GetRPCMethods::MethodList -->
</message>

<message name="Inform">
  <part name="Inform" type="cwmp:Inform"/><!-- __cwmp__Inform::cwmp__Inform -->
</message>

<message name="InformResponse">
  <part name="MaxEnvelopes" type="xsd:unsignedInt"/><!-- __cwmp__Inform::MaxEnvelopes -->
</message>

<message name="cwmpHeader">
  <part name="SupportedCWMPVersions" element="cwmp:SupportedCWMPVersions"/>
  <part name="UseCWMPVersion" element="cwmp:UseCWMPVersion"/>
  <part name="SessionTimeout" element="cwmp:SessionTimeout"/>
  <part name="ID" element="cwmp:ID"/>
  <part name="HoldRequests" element="cwmp:HoldRequests"/>
</message>

<message name="cwmpFault">
  <part name="Fault" element="cwmp:Fault"/><!-- cwmp__Fault::cwmp__Fault -->
</message>

<message name="FaultFault">
  <part name="Fault" element="cwmp:Fault"/>
</message>

<portType name="cwmpPortType">
  <operation name="GetParameterNames">
    <documentation>Service definition of function __cwmp__GetParameterNames</documentation>
    <input message="tns:GetParameterNames"/>
    <output message="tns:GetParameterNamesResponse"/>
    <fault name="Fault" message="tns:FaultFault"/>
  </operation>
  <operation name="GetParameterValues">
    <documentation>Service definition of function __cwmp__GetParameterValues</documentation>
    <input message="tns:GetParameterValues"/>
    <output message="tns:GetParameterValuesResponse"/>
    <fault name="Fault" message="tns:FaultFault"/>
  </operation>
  <operation name="GetParameterValuesResponse">
    <documentation>Service definition of function __cwmp__GetParameterValuesResponse</documentation>
    <input message="tns:GetParameterValuesResponse"/>
    <fault name="Fault" message="tns:FaultFault"/>
  </operation>
  <operation name="SetParameterValues">
    <documentation>Service definition of function __cwmp__SetParameterValues</documentation>
    <input message="tns:SetParameterValues"/>
    <output message="tns:SetParameterValuesResponse"/>
    <fault name="Fault" message="tns:FaultFault"/>
  </operation>
  <operation name="GetParameterAttributes">
    <documentation>Service definition of function __cwmp__GetParameterAttributes</documentation>
    <input message="tns:GetParameterAttributes"/>
    <output message="tns:GetParameterAttributesResponse"/>
    <fault name="Fault" message="tns:FaultFault"/>
  </operation>
  <operation name="SetParameterAttributes">
    <documentation>Service definition of function __cwmp__SetParameterAttributes</documentation>
    <input message="tns:SetParameterAttributes"/>
    <output message="tns:SetParameterAttributesResponse"/>
    <fault name="Fault" message="tns:FaultFault"/>
  </operation>
  <operation name="Download">
    <documentation>Service definition of function __cwmp__Download</documentation>
    <input message="tns:Download"/>
    <output message="tns:DownloadResponse"/>
    <fault name="Fault" message="tns:FaultFault"/>
  </operation>
  <operation name="Upload">
    <documentation>Service definition of function __cwmp__Upload</documentation>
    <input message="tns:Upload"/>
    <output message="tns:UploadResponse"/>
    <fault name="Fault" message="tns:FaultFault"/>
  </operation>
  <operation name="AddObject">
    <documentation>Service definition of function __cwmp__AddObject</documentation>
    <input message="tns:AddObject"/>
    <output message="tns:AddObjectResponse"/>
    <fault name="Fault" message="tns:FaultFault"/>
  </operation>
  <operation name="DeleteObject">
    <documentation>Service definition of function __cwmp__DeleteObject</documentation>
    <input message="tns:DeleteObject"/>
    <output message="tns:DeleteObjectResponse"/>
    <fault name="Fault" message="tns:FaultFault"/>
  </operation>
  <operation name="GetRPCMethods">
    <documentation>Service definition of function __cwmp__GetRPCMethods</documentation>
    <input message="tns:GetRPCMethods"/>
    <output message="tns:GetRPCMethodsResponse"/>
    <fault name="Fault" message="tns:FaultFault"/>
  </operation>
  <operation name="Inform">
    <documentation>Service definition of function __cwmp__Inform</documentation>
    <input message="tns:Inform"/>
    <output message="tns:InformResponse"/>
    <fault name="Fault" message="tns:FaultFault"/>
  </operation>
</portType>

<binding name="cwmp" type="tns:cwmpPortType">
  <SOAP:binding style="rpc" transport="http://schemas.xmlsoap.org/soap/http"/>
  <operation name="GetParameterNames">
    <SOAP:operation style="rpc" soapAction=""/>
    <input>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </input>
    <output>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </output>
    <fault name="Fault">
      <SOAP:fault use="literal" name="Fault"/>
    </fault>
  </operation>
  <operation name="GetParameterValues">
    <SOAP:operation style="rpc" soapAction=""/>
    <input>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </input>
    <output>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </output>
    <fault name="Fault">
      <SOAP:fault use="literal" name="Fault"/>
    </fault>
  </operation>
  <operation name="GetParameterValuesResponse">
    <SOAP:operation style="rpc" soapAction=""/>
    <input>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </input>
  </operation>
  <operation name="SetParameterValues">
    <SOAP:operation style="rpc" soapAction=""/>
    <input>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
          <SOAP:header use="literal" message="tns:cwmpHeader" part="ID"/>
    </input>
    <output>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </output>
    <fault name="Fault">
      <SOAP:fault use="literal" name="Fault"/>
    </fault>
  </operation>
  <operation name="GetParameterAttributes">
    <SOAP:operation style="rpc" soapAction=""/>
    <input>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </input>
    <output>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </output>
    <fault name="Fault">
      <SOAP:fault use="literal" name="Fault"/>
    </fault>
  </operation>
  <operation name="SetParameterAttributes">
    <SOAP:operation style="rpc" soapAction=""/>
    <input>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </input>
    <output>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </output>
    <fault name="Fault">
      <SOAP:fault use="literal" name="Fault"/>
    </fault>
  </operation>
  <operation name="Download">
    <SOAP:operation style="rpc" soapAction=""/>
    <input>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </input>
    <output>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </output>
    <fault name="Fault">
      <SOAP:fault use="literal" name="Fault"/>
    </fault>
  </operation>
  <operation name="Upload">
    <SOAP:operation style="rpc" soapAction=""/>
    <input>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </input>
    <output>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </output>
    <fault name="Fault">
      <SOAP:fault use="literal" name="Fault"/>
    </fault>
  </operation>
  <operation name="AddObject">
    <SOAP:operation style="rpc" soapAction=""/>
    <input>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </input>
    <output>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </output>
    <fault name="Fault">
      <SOAP:fault use="literal" name="Fault"/>
    </fault>
  </operation>
  <operation name="DeleteObject">
    <SOAP:operation style="rpc" soapAction=""/>
    <input>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </input>
    <output>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </output>
    <fault name="Fault">
      <SOAP:fault use="literal" name="Fault"/>
    </fault>
  </operation>
  <operation name="GetRPCMethods">
    <SOAP:operation style="rpc" soapAction=""/>
    <input>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </input>
    <output>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </output>
    <fault name="Fault">
      <SOAP:fault use="literal" name="Fault"/>
    </fault>
  </operation>
  <operation name="Inform">
    <SOAP:operation style="rpc" soapAction=""/>
    <input>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </input>
    <output>
          <SOAP:body use="encoded" encodingStyle="http://schemas.xmlsoap.org/soap/encoding/" namespace="urn:dslforum-org:cwmp-1-2"/>
    </output>
    <fault name="Fault">
      <SOAP:fault use="literal" name="Fault"/>
    </fault>
  </operation>
</binding>

<service name="cwmp">
  <documentation>gSOAP 2.8.83 generated service definition</documentation>
  <port name="cwmp" binding="tns:cwmp">
    <SOAP:address location="http://localhost:80"/>
  </port>
</service>

</definitions>
